Welcome to Wireless Protector

Wireless Protector is windows based management and security software that automatically disable wireless and endpoint devices on computers that connected to the company network with LAN cable and re-enable them when the LAN cable is disconnected from the computer.

Wireless Protector helps to secure IT environments from wireless connections and un-trusted devices that can be used by potential intruders as a bridge to the organization network and prevent computers from using duplicate network resources.

  • Real-time Protection. Wireless Protector installs remote service on the protected computers that automatically disable their protected devices when the LAN cable is connected to the network and re-enable their protected devices when the LAN cable is disconnected from the protected computers.
  • Real-time Scan. Wireless Protector monitors the protected computers and verifies that their remote protection service is active and running using the automatic scanning option or each time you deploy the protected computers.
  • Real-time Reports. Wireless Protector displays real-time reports about the protected computers protection activity and status.


Using Wireless Protector

Wireless Protector is acting as a server to all protected computers and it needs to be installed only once on any active windows platform that connected by LAN cable to your network.

Wireless Protector can be installed in three different modes to comply with any network configuration or needs. Available options are:

Local mode. From the Scan view click 'Add Computers' and add your local computer then click the 'Deploy Computers' button to install the protection service on the local computer. In this mode the local computer is acting as Wireless Protector server and protection is enabled on the local computer only.

Built-in deployment. From the Scan view click 'Add Computers' and add the computers that you would like to protect then click the 'Deploy Computers' button to install the protection service on your preferred computers. In this mode the local computer is acting as a Wireless Protector server to all the computers that was added to the Scan view.

Self deployment. From the Tools view click 'Deployment Link' to create deployment package that needs to be installed manually on each computer that you would like to protect. In this mode all the computers that the deployment package was installed over them will be added automatically to the Scan view and the local computer will be acting as their Wireless Protector server.

Home view. The Home view provides access to the software dashboard. It displays the last update information details about the computers protection status and software status information about the current software options.

Scan view. The Scan view provides access to the software protected computers list. It displays the current status of the protected computers that was added to the software and available management options for the exist computers.

Reports view. The Reports view provides access to the software wireless computers logs. It displays the protected computers activity events and scanning status of the protected computers.

Tools. The Tools provides access to the software additional settings. It enables changing the software configuration and using different operational settings.

More Information
Home View
Scan View
Reports View
Tools


Installation

Wireless Protector Installation includes a windows platform on the local LAN network that acting as a server and protection service that must be deployed on all the computers that needs to be protected.

Server. Install Wireless Protector Software Engine Service and Viewer on any Windows platform that connected by LAN cable to your network. This platform will be acting as a server to all protected computers and needs to be constantly active to reply to clients protection requests.

Viewer. Install Wireless Protector Software by selecting Viewer only on any Windows platform and add your preferred servers to the Viewer settings of the Tools screen by selecting the server installation folder (read and write sharing must be enabled on this folder). The viewer is used to control Wireless Protector servers and perform any administration tasks.

Clients. All protected computers needs to run a protection service that monitors the status of the protected devices. Wireless Protector is supporting two types of clients protection deployment:

Built-in Deployment. Use the 'Add Computers' button on the 'Scan View' screen of the server to add remote Windows clients and then click the 'Deploy Computers' button to install the remote protection service (File sharing must be enabled on remote computers for using this option).

Self Deployment. Use the 'Deployment Link' on the 'Tools View' of the server to create self installation package on any removable media and run the installation on the remote Windows or Mac computers that needs to be protected (the remote clients computers will be added automatically to the Scan view of the server).

Windows clients. Run the 'Install.bat' batch file from the deployment package to create and run the protection service.

Mac clients. Run the 'Install.app' script file from the deployment package to create and run the protection daemon.

Connectivity. Wireless Protector is using TCP port 49150 to accept remote computers protection requests. This port must be available for connection on the platform that runs the software. It is important to verify that this port is not blocked by any firewall or anti-virus program that may be installed on the platform that runs the software console (It can be checked by using the command "Telnet XYZ 49150" where XYZ is the IP or name of the platform that runs the software console).

Operation. Wireless Protector operation can be checked by connecting LAN cable to any protected computer and verify that the active protected devices were disabled. Disconnecting the LAN cable from the protected computer will re-enable the protected devices.

Deletion. Deleting specific protected computers and removing their remote client service should be done by using the 'Delete Computers' button on the 'Scan View' or by running the 'Uninstall File' from the self deployment package. The remote computers client service will be deleted in the next time that their LAN cable will be connected to the network.

More Information
Scan Details
Options Settings


About Wireless Protector

Congratulations for choosing Wireless Protector to help protecting your network wireless computers. Wireless Protector is windows based management and security software that automatically disable wireless connections and endpoint devices on computers that connected to network LAN and re-enable them when the LAN cable is disconnected from the computer. The software helps to secure IT environments from un-trusted devices and wireless connections that can be used by potential intruders as a bridge to the organization network and prevent computers from using duplicate network resources.

More Information
System Requirements
Copyright and License


System Requirements

To install Wireless Protector, you must be logged on as an administrator or be a member of the Administrators group.

Your computer, and all computers on a network for which you want to install Wireless Protector, must meet these requirements.

Software and hardware | Installation requirements
Processor | Pentium 233 MHz or higher processor
Operating system | Microsoft Windows 2000 / XP / 2003 / Vista / 2008 / 7 / 8 / 2012
Random Access Memory (RAM) | 256 MB RAM or more
Disk space | 10 MB of available hard disk space

Note
Wireless Protector does not run on the Windows ME, Windows 98, or Windows NT operating systems.


Copyright and License

All copyrights to Wireless Protector are exclusively owned by the author of this software. Anyone may use this software for evaluation purpose. Evaluation version only allows you to use as testing, if you wish to remove the limitation, you MUST register. Once registered, the user is granted a non-exclusive license to use Wireless Protector on one computer (i.e. a single CPU) at a time, for any legal purpose. The registered Wireless Protector software may not be rented or leased, but may be permanently transferred, if the person received it and agreed to the terms of this license. If the software is an update, the transfer must include the update and all previous versions. The Wireless Protector unregistered shareware version may be freely distributed provided the whole or any part of the distribution package is not modified or damaged. No person or company can charge a fee for the distribution of Wireless Protector without the permission from the copyright holder.

WIRELESS PROTECTOR IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE THIS SOFTWARE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution. All rights not expressly granted here are reserved by the author of this software. Installing and using Wireless Protector signifies acceptance of the terms and conditions of this license. If you do not agree with the terms of this license you must remove Wireless Protector files from your storage devices and cease to use the product.


Home View

The Home view provides access to the software dashboard. From this screen you can view the current activity details of the software. Available options are:

Last Update Information. The Last Update Information provides a review about the current protection status of the computers that the software monitors.

Software Status. The Software Status provides summary details about the software current options and activity.

More Information
Home Information
Home Status


Home Information

The Home Information screen enables to view the current monitored computers scan information and protection status. Available options are:

Last update. Displays the last update information of the protected computers that the software currently monitors.

Successful computers. Displays the number of successful protected computers and link to the computers list.

Unreachable computers. Displays the number of unreachable computers and link to the computers list.

Unconnected/Failed computers. Displays the number of unconnected or failed computers and link to the computers list.

Unknown/Undeploy computers. Displays the number of unknown or undeploy computers and link to the computers list.


Home Status

The Home Status screen enables to view the current software status options and activity. Available options are:

Scan actions. Displays the current actions status option Enabled/Disabled.

Scan export. Displays the current export status option Enabled/Disabled.

Program service. Displays the current status of the software service Running/Stopped.

Program version. Displays the current type and version of the software.


Scan View

The Scan view provides access to the software protected computers. From this screen you can change and manage the computers that the software will protect. Available options are:

Scan Options. The Scan Options provides links to optional software scanning parameters.

Scan Details. The Scan Details provides information and management options to the computers that the software is protecting.

More Information
Scan Options
Scan Details


Scan Options

The Scan Options screen enables to change the current software scanning settings. Available options are:

Admin options. Use this option to set the administration account that will be used to monitor the protected computers.

Settings options. Use this option to set additional software scanning settings.


Scan Details

The Scan Details screen enables to control the current computers that the software is scanning. Available options are:

Search. Use this option to search for specific computers details on the computers list.

Add computers. Use this option to add more computers to the list. After adding new computers it is important to run 'Deploy Computers' option.

Deploy computers. Use this option to deploy the remote client service on the selected computers and enable protection over them.

Set protection. Use this option to set specific protection to selected computers. The default protection for all computers can be set from the 'Settings Options' link.

Delete computers. Use this option to delete and uninstall selected computers from the list. The deleted computers will stop being protected by the software.

Refresh list. Use this option to refresh the current protected computers list and display updated computers status.

Refresh and Print. Use this option to refresh the current protected computers list and print the current protected computers list to specific selected printer.

Refresh and Export. Use this option to refresh the current protected computers list and export the current protected computers list to specific file using specific format.


Reports View

The Reports View provides access to the software events logs. From this screen you can select specific report and view the software events logs. Available options are:

Reports Options. The Reports Options provides selection to optional reports and filtering parameters.

Reports Details. The Reports Details provides information and management options to the current software events logs.

More Information
Reports Options
Reports Details


Reports Options

The Reports Options screen enables to display and filter specific software events logs. Available options are:

Report name. Use this option to select events report category and use the 'Display Report' button to view the results.

Report filter. Use this option to select report filter for viewing only specific results.


Reports Details

The Reports Details screen enables to control the current software reporting events logs. Available options are:

Search. Use this option to search for specific events logs on the report result list.

Delete results. Use this option to delete selected results from the software events logs.

Export results. Use this option to export the current results list to specific file using specific format.

Print results. Use this option to print the current results list to specific selected printer.


Tools

The Tools provides access to the software additional settings. From this screen you can change the current settings and running options of the software. Available options are:

Options Settings. The Options Settings provides additional software configuration options that enable changes to the software operational settings.

Deployment Settings. The Deployment Settings creates self deployment package for manual installation of Wireless Protector remote computers client.

Actions Settings. The Actions Settings provides automatic actions that will be performed upon receiving specific event.

Export Settings. The Export Settings provides automatic exporting of the software events to text file or ODBC database.

Viewer Settings. The Viewer Settings provides option to control Wireless Protector Servers from remote computers.

More Information
Options Settings
Deployment Settings
Actions Settings
Export Settings
Viewer Settings


Options Settings

The Options Settings screen enables to control the software operation and enable additional settings. Available options are:

Protected devices. Use this option to select which device types will be disabled when network connection is active. Available devices are: Bluetooth, DVD/CD-ROM, Firewire, Imaging, Infrared, Modem, Ports (COM & LPT), Removable disks (R-Disks), Removable serial bus (R-USB), Sound (Microphones & Speakers) and Wireless 802.11/Broadband devices.

Events removal. Use this option to set automatic removal of the events logs that collected by the software.

Clients service. Use this option to set how client protection service will be running either as standard service or as unstoppable service.

Clients re-enable. Use this option to set the clients protected devices behavior when network cable disconnects either as re-enable or stay disabled.

Clients release. Use this option to set clients IP address DHCP release before disabling protected wireless devices.

Clients reboot. Use this option to set which action will be performed when disabling protected device needs to reboot the client computer.

Clients notification. Use this option to set client notification message when protected devices are disabled by the software.

Discovery & deployment. Use this option to set automatic protected computers discovery and deployment by selecting computers, frequency and time.

Exclude addresses. Use this option to set specific network addresses that will be excluded from disabling the protected devices.

Redundant servers. Use this option to set multiple redundant available or responsive servers for client protection service.

Administrators permissions. Use this option to set specific console administrators and optional selected permissions.


Deployment Settings

The Deployment Settings option enables to create self deployment package for remote computers installation instead on the software built-in scanning option. Available options are:

Operating system. Use this option to select the operating system of the remote clients as Windows or MAC-OSX.

Installation view. Use this option to select the viewing mode of the installation package as standard or hidden view.

Deployment location. Use this option to select the location folder of the installation package.


Actions Settings

The Actions Settings screen enables to control the automatic actions that will be performed upon receiving specific event. Available options are:

Automatic actions. Use this option to set automatic actions for specific event.

Run command. Use this option to automatically execute windows command with Optional parameters and logon details.

Send email. Use this option to automatically send e-mail message to specific e-mail recipients.

Syslog event. Use this option to automatically send SYSLOG event message to specific SYSLOG listeners.

Email Settings. Use this option to set e-mail parameters that will be used for automatic e-mail actions.

Email server. Use this option to set the e-mail server parameters.

Email format. Use this option to set the e-mail message subject and body formats.

Email test. Use this option to send e-mail test message to specific e-mail accounts.


Export Settings

The Export Settings screen enables to control the automatic exporting capabilities of the software events logs. Available options are:

Text file. Use this option to enable automatic exporting of the software events logs to text file and select the format and the folder location of the file.

ODBC database. Use this option to enable automatic exporting of the software events logs to database and select the format and database location.


Viewer Settings

The Viewer Settings screen enables to control Wireless Protector servers from remote computers. Available options are:

Add. Use this option to add a new Wireless Protector server by selecting its installation folder (sharing must be enabled on the selected folder).

Default. Use this option to automatically connect the viewer to the currently selected server each time the viewer is opened.

Rename. Use this option to rename the currently selected server and use your preferred name.

Remove. Use this option to remove the currently selected server from the servers list.

Connect. Use this option to connect the viewer to the currently selected server.